! Generate the start vector matrix W0:
subroutine W0gen(Wgen)
use work

complex Wgen(n,ne)

! Generate W as first "ne" columns of I
Wgen =(0.,0.)
do i=1,ne
Wgen(i,i) =(1.,0.)
enddo

end subroutine W0gen
